# PrimitiveEnumeration Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveEnumeration:
[legend]

List of all members.

## Public Member Functions

| getList ()
| of ($class)
| importValue ($value)
| import ($scope)

## Detailed Description

Definition at line 15 of file PrimitiveEnumeration.class.php.

## Member Function Documentation

PrimitiveEnumeration::getList | ( |  | ) |

Definition at line 17 of file PrimitiveEnumeration.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

PrimitiveEnumeration::import | ( | $ | scope | ) |

Reimplemented from PrimitiveNumber.

Reimplemented in PrimitiveEnumerationByValue, and PrimitiveEnumerationList.

Definition at line 61 of file PrimitiveEnumeration.class.php.

PrimitiveEnumeration::importValue | ( | $ | value | ) |

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveEnumerationList.

Definition at line 51 of file PrimitiveEnumeration.class.php.

References BasePrimitive::$value, BasePrimitive::getName(), and Assert::isEqual().

Here is the call graph for this function:

PrimitiveEnumeration::of | ( | $ | class | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveEnumeration

Reimplemented from IdentifiablePrimitive.

Definition at line 38 of file PrimitiveEnumeration.class.php.

References IdentifiablePrimitive::$className, Assert::classExists(), IdentifiablePrimitive::guessClassName(), and Assert::isInstance().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveEnumeration.class.php